Uses of Class
org.apache.juneau.marshall.httppart.HttpPartSchema
Packages that use HttpPartSchema
Package
Description
Predefined HTTP headers, parts, entities, resources, and responses built on the classic Apache HttpComponents API.
HTTP Entity Beans
HTTP Header Beans
HTTP Part Beans
HTTP Part Beans
HTTP Part Marshalling Support
RDF Marshalling Support
Marshallers
OpenAPI Marshalling Support
Parser API
Serializer API
UON Marshalling Support
REST Client API
Remote REST API
Mocked REST client and supporting classes for in-JVM testing built on the classic Apache HttpClient API.
REST Server API
REST HTTP Parts
-
Uses of HttpPartSchema in org.apache.juneau.http.classic
Methods in org.apache.juneau.http.classic with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionstatic final SerializedEntityHttpEntities.serializedEntity(Object content, Serializer serializer, HttpPartSchema schema) Creates a newSerializedEntityobject.static final SerializedEntityHttpEntities.serializedEntity(Supplier<?> content, Serializer serializer, HttpPartSchema schema) Creates a newSerializedEntityobject.static SerializedHeaderHttpHeaders.serializedHeader(String name, Object value, HttpPartSerializerSession serializer, HttpPartSchema schema, boolean skipIfEmpty) Creates a newSerializedHeaderheader.static SerializedHeaderHttpHeaders.serializedHeader(String name, Supplier<?> value, HttpPartSerializerSession serializer, HttpPartSchema schema, boolean skipIfEmpty) Creates a newSerializedHeaderheader. -
Uses of HttpPartSchema in org.apache.juneau.http.classic.entity
Methods in org.apache.juneau.http.classic.entity with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionSerializedEntity.copyWith(Serializer serializer, HttpPartSchema schema) Copies this bean and sets the serializer and schema on it.SerializedEntity.setSchema(HttpPartSchema value) Sets the schema on this entity bean.Constructors in org.apache.juneau.http.classic.entity with parameters of type HttpPartSchemaModifierConstructorDescriptionSerializedEntity(ContentType contentType, Object content, Serializer serializer, HttpPartSchema schema) Constructor. -
Uses of HttpPartSchema in org.apache.juneau.http.classic.header
Methods in org.apache.juneau.http.classic.header that return HttpPartSchemaModifier and TypeMethodDescriptionHeaderBeanMeta.getSchema()Returns schema information about this header.Methods in org.apache.juneau.http.classic.header with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionSerializedHeader.copyWith(HttpPartSerializerSession serializer, HttpPartSchema schema) Copies this bean and sets the serializer and schema on it.static SerializedHeaderSerializedHeader.of(String name, Object value, HttpPartSerializerSession serializer, HttpPartSchema schema, boolean skipIfEmpty) Static creator.static SerializedHeaderSerializedHeader.of(String name, Supplier<?> value, HttpPartSerializerSession serializer, HttpPartSchema schema, boolean skipIfEmpty) Static creator with delayed value.SerializedHeader.schema(HttpPartSchema value) Sets the schema object that defines the format of the output.Constructors in org.apache.juneau.http.classic.header with parameters of type HttpPartSchemaModifierConstructorDescriptionSerializedHeader(String name, Object value, HttpPartSerializerSession serializer, HttpPartSchema schema, boolean skipIfEmpty) Constructor.SerializedHeader(String name, Supplier<Object> value, HttpPartSerializerSession serializer, HttpPartSchema schema, boolean skipIfEmpty) Constructor with delayed value. -
Uses of HttpPartSchema in org.apache.juneau.http.classic.part
Methods in org.apache.juneau.http.classic.part that return HttpPartSchemaModifier and TypeMethodDescriptionPartBeanMeta.getSchema()Returns schema information about this part.Methods in org.apache.juneau.http.classic.part with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionSerializedPart.copyWith(HttpPartSerializerSession serializer, HttpPartSchema schema) Copies this bean and sets the serializer and schema on it.SerializedPart.schema(HttpPartSchema value) Sets the schema object that defines the format of the output.Constructors in org.apache.juneau.http.classic.part with parameters of type HttpPartSchemaModifierConstructorDescriptionSerializedPart(String name, Object value, HttpPartType type, HttpPartSerializerSession serializer, HttpPartSchema schema, boolean skipIfEmpty) Constructor. -
Uses of HttpPartSchema in org.apache.juneau.httppart.bean
Methods in org.apache.juneau.httppart.bean that return HttpPartSchemaModifier and TypeMethodDescriptionRequestBeanPropertyMeta.getSchema()Returns the schema information gathered from annotations on the method and return type.ResponseBeanMeta.getSchema()Returns the schema information about the response object.ResponseBeanPropertyMeta.getSchema()Returns the schema information gathered from annotations on the method and return type. -
Uses of HttpPartSchema in org.apache.juneau.marshall.httppart
Fields in org.apache.juneau.marshall.httppart declared as HttpPartSchemaModifier and TypeFieldDescriptionstatic final HttpPartSchemaHttpPartSchema.DEFAULTReusable instance of this object, all default settings.static final HttpPartSchemaHttpPartSchema.T_ARRAYArray typestatic final HttpPartSchemaHttpPartSchema.T_ARRAY_CSVComma-delimited array typestatic final HttpPartSchemaHttpPartSchema.T_ARRAY_MULTIMulti-part array typestatic final HttpPartSchemaHttpPartSchema.T_ARRAY_PIPESPipe-delimited array typestatic final HttpPartSchemaHttpPartSchema.T_ARRAY_SSVSpace-delimited array typestatic final HttpPartSchemaHttpPartSchema.T_ARRAY_TSVTab-delimited array typestatic final HttpPartSchemaHttpPartSchema.T_ARRAY_UONUON-formatted array typestatic final HttpPartSchemaHttpPartSchema.T_BINARYBinary typestatic final HttpPartSchemaHttpPartSchema.T_BINARY_SPACEDSpaced binary typestatic final HttpPartSchemaHttpPartSchema.T_BOOLEANBoolean typestatic final HttpPartSchemaHttpPartSchema.T_BYTEByte typestatic final HttpPartSchemaHttpPartSchema.T_DATEDate typestatic final HttpPartSchemaHttpPartSchema.T_DATETIMEDate-time typestatic final HttpPartSchemaHttpPartSchema.T_DOUBLEDouble typestatic final HttpPartSchemaHttpPartSchema.T_FILEFile typestatic final HttpPartSchemaHttpPartSchema.T_FLOATFloat typestatic final HttpPartSchemaHttpPartSchema.T_INT32Int32 typestatic final HttpPartSchemaHttpPartSchema.T_INT64Int64 typestatic final HttpPartSchemaHttpPartSchema.T_INTEGERInteger typestatic final HttpPartSchemaHttpPartSchema.T_NONENo typestatic final HttpPartSchemaHttpPartSchema.T_NUMBERNumber typestatic final HttpPartSchemaHttpPartSchema.T_OBJECTObject typestatic final HttpPartSchemaHttpPartSchema.T_OBJECT_UONUON-formated object typestatic final HttpPartSchemaHttpPartSchema.T_STRINGString typestatic final HttpPartSchemaHttpPartSchema.T_UONUON-formated simple typeMethods in org.apache.juneau.marshall.httppart that return HttpPartSchemaModifier and TypeMethodDescriptionHttpPartSchema.Builder.build()Instantiates a newHttpPartSchemaobject based on the configuration of this builder.static HttpPartSchemaHttpPartSchema.create(Annotation a) Finds the schema information on the specified annotation.static HttpPartSchemaHttpPartSchema.create(Annotation a, String defaultName) Finds the schema information on the specified annotation.static HttpPartSchemaHttpPartSchema.create(Class<? extends Annotation> c, Method m) Finds the schema information for the specified method return.static HttpPartSchemaHttpPartSchema.create(Class<? extends Annotation> c, Type t) Finds the schema information for the specified class.static HttpPartSchemaHttpPartSchema.create(Class<? extends Annotation> c, ParameterInfo mpi) Finds the schema information for the specified method parameter.HttpPartSchema.getItems()Returns theitems field of this schema.HttpPartSchema.getProperty(String name) Returns the schema information for the specified property.Methods in org.apache.juneau.marshall.httppart with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionHttpPartSchema.Builder.additionalProperties(HttpPartSchema value) additionalProperties field.HttpPartSchema.Builder.ap(HttpPartSchema value) Shortcut foradditionalProperties(value) HttpPartSchema.Builder.i(HttpPartSchema value) Synonym forHttpPartSchema.Builder.items(HttpPartSchema).HttpPartSchema.Builder.items(HttpPartSchema value) items field.HttpPartSchema.Builder.p(String key, HttpPartSchema value) Shortcut forproperty(key, value) .HttpPartSchema.Builder.property(String key, HttpPartSchema value) properties field.<T> TBaseHttpPartParser.read(HttpPartType partType, HttpPartSchema schema, String in, Class<T> toType) Converts the specified input to the specified class type.<T> TBaseHttpPartParser.read(HttpPartType partType, HttpPartSchema schema, String in, Type toType, Type... toTypeArgs) Converts the specified input to the specified class type.<T> TBaseHttpPartParser.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> toType) Converts the specified input to the specified class type.<T> THttpPartParserSession.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> toType) Converts the specified input to the specified class type.<T> TSimplePartParserSession.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> toType) BaseHttpPartSerializer.write(HttpPartType partType, HttpPartSchema schema, Object value) Converts the specified value to a string that can be used as an HTTP header value, query parameter value, form-data parameter, or URI path variable.HttpPartSerializerSession.write(HttpPartType type, HttpPartSchema schema, Object value) Converts the specified value to a string that can be used as an HTTP header value, query parameter value, form-data parameter, or URI path variable.SimplePartSerializerSession.write(HttpPartType type, HttpPartSchema schema, Object value) Constructors in org.apache.juneau.marshall.httppart with parameters of type HttpPartSchemaModifierConstructorDescriptionHttpPart(String name, HttpPartType partType, HttpPartSchema schema, HttpPartSerializerSession serializer, Object part) Constructor. -
Uses of HttpPartSchema in org.apache.juneau.marshall.jena
Methods in org.apache.juneau.marshall.jena with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionRdfStreamSerializerSession.Builder.schema(HttpPartSchema value) RdfStreamSerializerSession.Builder.schemaDefault(HttpPartSchema value) -
Uses of HttpPartSchema in org.apache.juneau.marshall.marshaller
Methods in org.apache.juneau.marshall.marshaller with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionstatic StringOpenApi.of(HttpPartSchema schema, Object object) Serializes a Java object to an OpenApi output using the specified part schema.static <T> TOpenApi.to(HttpPartSchema schema, String input, Class<T> type) Parses an OpenApi input object to the specified Java type using the specified part schema. -
Uses of HttpPartSchema in org.apache.juneau.marshall.oapi
Methods in org.apache.juneau.marshall.oapi with parameters of type HttpPartSchemaModifier and TypeMethodDescription<T> TOpenApiParserSession.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> type) OpenApiSerializerSession.write(HttpPartType partType, HttpPartSchema schema, Object value) -
Uses of HttpPartSchema in org.apache.juneau.marshall.parser
Methods in org.apache.juneau.marshall.parser that return HttpPartSchemaModifier and TypeMethodDescriptionfinal HttpPartSchemaParserSession.getSchema()HTTP part schema of object being parsed.Methods in org.apache.juneau.marshall.parser with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionParserSession.Builder.schema(HttpPartSchema value) HTTP-part schema.ParserSession.Builder.schemaDefault(HttpPartSchema value) Same asParserSession.Builder.schema(HttpPartSchema)but doesn't overwrite the value if it is already set. -
Uses of HttpPartSchema in org.apache.juneau.marshall.serializer
Methods in org.apache.juneau.marshall.serializer that return HttpPartSchemaModifier and TypeMethodDescriptionfinal HttpPartSchemaSerializerSession.getSchema()HTTP part schema of object being serialized.Methods in org.apache.juneau.marshall.serializer with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionSerializerSession.Builder.schema(HttpPartSchema value) HTTP-part schema.SerializerSession.Builder.schemaDefault(HttpPartSchema value) Same asSerializerSession.Builder.schema(HttpPartSchema)but doesn't overwrite the value if it is already set. -
Uses of HttpPartSchema in org.apache.juneau.marshall.uon
Methods in org.apache.juneau.marshall.uon with parameters of type HttpPartSchemaModifier and TypeMethodDescription<T> TUonParser.read(HttpPartType partType, HttpPartSchema schema, String in, Class<T> toType) Converts the specified input to the specified class type.<T> TUonParser.read(HttpPartType partType, HttpPartSchema schema, String in, Type toType, Type... toTypeArgs) Converts the specified input to the specified class type.<T> TUonParser.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> toType) Converts the specified input to the specified class type.<T> TUonParserSession.read(HttpPartType partType, HttpPartSchema schema, String in, ClassMeta<T> toType) UonSerializer.write(HttpPartType partType, HttpPartSchema schema, Object value) Converts the specified value to a string that can be used as an HTTP header value, query parameter value, form-data parameter, or URI path variable.UonSerializerSession.write(HttpPartType type, HttpPartSchema schema, Object value) -
Uses of HttpPartSchema in org.apache.juneau.rest.client.classic
Methods in org.apache.juneau.rest.client.classic with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionRestRequest.content(Object input, HttpPartSchema schema) Sets the body of this request.protected HeaderRestRequest.createHeader(String name, Object value, HttpPartSerializer serializer, HttpPartSchema schema, Boolean skipIfEmpty) Creates a new header.protected NameValuePairRestRequest.createPart(String name, Object value, HttpPartType type, HttpPartSerializer serializer, HttpPartSchema schema, Boolean skipIfEmpty) Creates a new query/form-data/path part.ResponseContent.schema(HttpPartSchema value) Specifies the schema for this body.ResponseHeader.schema(HttpPartSchema value) Specifies the part schema for this header. -
Uses of HttpPartSchema in org.apache.juneau.rest.client.classic.remote
Methods in org.apache.juneau.rest.client.classic.remote that return HttpPartSchemaModifier and TypeMethodDescriptionRemoteOperationArg.getSchema()Returns the HTTP part schema information about this part. -
Uses of HttpPartSchema in org.apache.juneau.rest.mock.classic
Methods in org.apache.juneau.rest.mock.classic with parameters of type HttpPartSchema -
Uses of HttpPartSchema in org.apache.juneau.rest.server
Methods in org.apache.juneau.rest.server that return types with arguments of type HttpPartSchemaModifier and TypeMethodDescriptionRestResponse.getContentSchema()Returns the schema of the response content.Methods in org.apache.juneau.rest.server with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionRestResponse.setContentSchema(HttpPartSchema schema) Specifies the schema for the response content.RestResponse.setHeader(HttpPartSchema schema, String name, Object value) Sets a header on the request. -
Uses of HttpPartSchema in org.apache.juneau.rest.server.httppart
Methods in org.apache.juneau.rest.server.httppart that return HttpPartSchemaMethods in org.apache.juneau.rest.server.httppart with parameters of type HttpPartSchemaModifier and TypeMethodDescriptionRequestFormParam.schema(HttpPartSchema value) RequestHeader.schema(HttpPartSchema value) RequestHttpPart.schema(HttpPartSchema value) Specifies the part schema for this part.RequestPathParam.schema(HttpPartSchema value) RequestQueryParam.schema(HttpPartSchema value) RequestContent.setSchema(HttpPartSchema schema) Sets the schema for this content.Constructors in org.apache.juneau.rest.server.httppart with parameters of type HttpPartSchemaModifierConstructorDescriptionResponsePartMeta(HttpPartType partType, HttpPartSchema schema, HttpPartSerializer serializer) Constructor.